Permalink
Browse files

allow build with threaded perls > 5.8.8

update copyright year
  • Loading branch information...
1 parent f265542 commit c73d3e1cc39bac1152d0ab2cb0cf294ea548fe23 @racke racke committed Mar 25, 2008
Showing with 2 additions and 2 deletions.
  1. +2 −2 Makefile.PL
View
@@ -154,7 +154,7 @@ sub copyright_prompt {
Interchange V$VERSION
- Copyright (C) 2002-2007 Interchange Development Group.
+ Copyright (C) 2002-2008 Interchange Development Group.
Copyright (C) 1996-2002 Red Hat, Inc.
Interchange is free under the terms of the GNU General Public License.
@@ -352,7 +352,7 @@ sub initialize {
|| $Config{useithreads}
|| $Config{use5005threads};
- if($Global::TryingThreads and ! -f '_allow_threads') {
+ if($Global::TryingThreads and $] < 5.008_008 and ! -f '_allow_threads') {
print <<EOF;
It is not recommended that you run Interchange with a thread-enabled perl,
which you have called this installer with. Either rerun with

0 comments on commit c73d3e1

Please sign in to comment.